Name:          qutecom
Version:       3.0.20141007hg
Release:       1mamba
Summary:       A SIP-compliant VoIP client offering free calling to other softphones
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://trac.qutecom.org
# hg clone http://hg.qutecom.org/qutecom-3.0
# mv qutecom-3.0/ qutecom-3.0.20141007hg
# tar czf ../SOURCES/qutecom-3.0.20141007hg.tar.gz qutecom-3.0.20141007hg/
Source:        http://downloads.sourceforge.net/project/qutecom.mirror/qutecom-%{version}.tar.gz
Patch6:        qutecom-3.0.20141007hg-cmake-3.0.patch
Patch7:        qutecom-3.0.20141007hg-compile.patch
Patch8:        qutecom-3.0.20141007hg-ffmpeg-2.3.3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libboost-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libogg-devel
BuildRequires: libopenssl-devel
BuildRequires: libportaudio-devel
BuildRequires: libqt4-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libx264-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
QuteCom (previously called OpenWengo) is a SIP-compliant voice-over-IP client that allows you to speak to other users of SIP-compliant softphones at no cost. It also allows users to call landlines and cell phones, send SMS text, and make video calls, and is compatible with any SIP provider.

%debug_package

%prep
%setup -q
%patch6 -p1
%patch7 -p1
%patch8 -p1

cp -a engine/qutecom-verona/mediastreamer2/plugins/msg726 engine/qutecom-verona/mediastreamer2/plugins/msg722
sed -i -e 's,726,722,g' engine/qutecom-verona/mediastreamer2/plugins/msg722/CMakeLists.txt

%build
%cmake -d build \
   -DCMAKE_SKIP_RPATH=OFF \
   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
   -DDATA_COPY_DIR:PATH=%{_libdir}/qutecom \
   -DCMAKE_INSTALL_RPATH=%{_libdir}/qutecom

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

chmod 755 %{buildroot}%{_libdir}/pm-utils/sleep.d/70QuteCom

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_datadir}/mime >/dev/null 2>&1
   gtk-update-icon-cache %{_datadir}/icons/hicolor >/dev/null 2>&1
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/qutecom
%{_libdir}/pm-utils/sleep.d/70QuteCom
%dir %{_libdir}/qutecom
%{_libdir}/qutecom/liblibpurple.so
%{_libdir}/qutecom/libmediastreamer2.so
%{_libdir}/qutecom/libphapi.so
%{_libdir}/qutecom/libutil.so
%dir %{_libdir}/qutecom/plugins
%{_libdir}/qutecom/plugins/msg722.so
%{_libdir}/qutecom/plugins/msg726.so
%{_libdir}/qutecom/plugins/msilbc.so
%{_libdir}/qutecom/plugins/msx264.so
%dir %{_libdir}/qutecom/lang
%{_libdir}/qutecom/lang/qtqutecom_*.qm
%{_datadir}/applications/qutecom.desktop
%{_datadir}/icons/hicolor/*/apps/qutecom.png
%dir %{_datadir}/qutecom
%{_datadir}/qutecom/*
%doc COPYING

%changelog
* Tue Oct 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20141007hg-1mamba
- update to 3.0.20141007hg

* Mon May 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- package created using the webbuild interface
